
Imports System.ComponentModel
Imports System.Drawing

Public Class FirstFirst
  Inherits NameClass
  Public Sub New(ByVal nm As String)
    Dim i As Integer = nm.IndexOf(" ")
    If i > 0 Then
      Frname = nm.Substring(0, i).Trim()
      Lname = nm.Substring(i + 1).Trim()
    Else
      Frname = ""
      LName = nm
    End If
  End Sub
End Class


